﻿/*
 * StarCoder by Tobias Wehrum <Tobias.Wehrum@dragonlab.de> is licensed under the
 * Creative Commons Attribution-ShareAlike 3.0 Unported License. To view a copy of this
 * license, visit http://creativecommons.org/licenses/by-sa/3.0/ or send a letter to
 * Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
 */

using System;
using System.IO;
using StarCoder.Main.Helper;

namespace StarCoder.Main
{
    public static class Constants
    {
        public const bool DEBUG = false;
        public const bool DEBUG_COMPILATION_OUTPUT = true;
        public const bool DEBUG_RELOAD_SOUND_EVERY_TIME = false && DEBUG;

        public const uint TARGET_WIDTH = 500;
        public const uint TARGET_HEIGHT = 600;

        public const uint FRAME_RATE = 60;
        public const float FRAME_TIME = 1f / FRAME_RATE;

        public const String FOLDER_BASE = "data";
        public static readonly String FOLDER_IMAGES = Path.Combine(FOLDER_BASE, "images");
        public static readonly String FOLDER_FONTS = Path.Combine(FOLDER_BASE, "fonts");
        public static readonly String FOLDER_SOUNDS = Path.Combine(FOLDER_BASE, "sounds");
        public static readonly String FOLDER_LEVELS = Path.Combine(FOLDER_BASE, "levels");
        public static readonly String FOLDER_DATA = Path.Combine(FOLDER_BASE, "data");

        public static readonly string PATH_TO_PROGRAMMABLE_FILE = GeneralHelper.PathCombine("Main", "States", "Play", "ProgrammablePart.cs");

        public const int TILE_SIZE = 50;

        public const string ASSET_PLAYER = "player.png";
        public const string ASSET_SPIKE = "spikes.png";
        public const string ASSET_STAR = "star.png";
        public const string ASSET_BACKGROUND = "background.png";
        public const string ASSET_COORDINATE_SYSTEM = "coordinateSystem.png";
        public const string ASSET_TILE_WALL = "tile.png";
    }
}
